Bug 1825809 - oc create build
Summary: oc create build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Maciej Szulik
QA Contact: wewang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-20 10:19 UTC by Maciej Szulik
Modified: 2020-07-13 17:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:28:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oc pull 354 0 None closed Bug 1825809: create: Add the bare minimum `oc create build` 2020-06-23 10:06:38 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:28:54 UTC

Description Maciej Szulik 2020-04-20 10:19:20 UTC
oc is missing the ability to create a bare minimum build.

Comment 3 wewang 2020-04-24 10:44:45 UTC
Verified in version:
$ ./oc version
Client Version: 4.5.0-0.nightly-2020-04-21-103613

Steps:
$ ./oc create build test-build --dockerfile-contents $'FROM centos:7\nRUN true' --to-image-stream=wewang/test:latest
build.build.openshift.io/test-build created
$ oc get builds
test-build           Docker   Dockerfile    Complete   29 seconds ago       28s

Comment 4 errata-xmlrpc 2020-07-13 17:28:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.